# Copyright (C) 2009 Ferdinand Majerech
# This file is part of IMGCrush
# For conditions of distribution and use, see copyright notice in LICENSE.txt

from distutils.core import setup

import globals
setup(name = "imgcrush",
      version = globals.VERSION,
      description = "Lossless and lossy image compressor for web image formats",
      long_description = "Compresses images using JPG, PNG and GIF and " +
                         "selects the best possible file based on user's " +
                         "requirements on file size or quality. " +
                         "Can process multiple files and whole directories, " +
                         "input image files can be any format supported by " +
                         "GraphicsMagick (on which imgcrush is based) - which " +
                         "is just about any format. Can't work with multi " +
                         "image files and animations.",
      classifiers = 
      [
          "Development Status :: 4 - Beta",
          "Environment :: Console",
          "Intended Audience :: Developers",
          "License :: OSI Approved",
          "Natural Language :: English",
          "Operating System :: POSIX",
          "Programming Language :: Python :: 2.6",
          "Topic :: Multimedia :: Graphics",
      ],
      author = "Ferdinand Majerech",
      author_email = "kiithsacmp@gmail.com",
      url = "https://launchpad.net/icrush",
      packages = ["imgcrush"],
      package_dir = {"imgcrush" : "."},
      package_data={"imgcrush": ["INSTALL.txt", "LICENSE.txt", "README.txt",
                                 "CHANGES.txt", "doxyfile", "doc/*"]},
      data_files = [("icrushtest",["test/01.jpg", "test/big_file.jpg", 
                             "test/profile", "test/test", "test/02.jpg",
                             "test/benchmark_util", "test/benchmark",
                             "test/many_files/00.png",  
                             "test/many_files/01.png", 
                             "test/many_files/02.png",  
                             "test/many_files/03.png",
                             "test/many_files/04.png",  
                             "test/many_files/05.png", 
                             "test/many_files/06.png",
                             "test/many_files/07.png",
                             "test/many_files/08.png",
                             "test/many_files/09.png", "test/dir/03.jpg",
                             "test/dir/04.jpg", "test/dir/subdir/05.jpg",
                             "test/dir/subdir/06.jpg"])],
      scripts=["./imgcrush"],
      provides=["imgcrush (" + globals.VERSION + ")"]
      )

